"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
class DomainEvents {
    dataReceivedFromSource(buffer, sourceSocket) {
        console.log(`Received ${chalk_1.default.blue(buffer.length.toString())} from ${chalk_1.default.blue(`${sourceSocket.remoteAddress}:${sourceSocket.remotePort}`)}`);
    }
    dataSentToDestination(buffer, destinationSocket) {
        console.log(`Sent ${chalk_1.default.blue(buffer.length.toString())} from ${chalk_1.default.blue(`${destinationSocket.remoteAddress}:${destinationSocket.remotePort}`)}`);
    }
    serverStarted(hostname, port) {
        console.log(`Server started on ${chalk_1.default.blue(`${hostname}:${port}`)}`);
    }
    sourceSocketClosed(sourceSocket) {
        console.log(`Closed ${chalk_1.default.blue(`${sourceSocket.remoteAddress}:${sourceSocket.remotePort}`)}`);
    }
    sourceSocketError(error, sourceSocket) {
    }
}
exports.DomainEvents = DomainEvents;
//# sourceMappingURL=domain-events.js.map