"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dns = require("dns");
class DNSHelper {
    static resolveDomainName(domainName) {
        return new Promise((resolve, reject) => {
            dns.resolve(domainName, (error, addresses) => {
                if (error) {
                    reject(error);
                    return;
                }
                resolve(addresses[0]);
            });
        });
    }
}
exports.DNSHelper = DNSHelper;
//# sourceMappingURL=dns.js.map