/// <reference types="node" />
import { SOCKS5Command } from '../../constants/socks5-command';
import { SOCKS5AddressType } from '../../constants/socks5-address-type';
import { SOCKS5Status } from '../../constants/socks5-status';
export declare class SOCKS5ConnectionRequest {
    version: number;
    command: SOCKS5Command;
    addressType: SOCKS5AddressType;
    address: string;
    addressBytes: Array<number>;
    port: number;
    portBytes: Array<number>;
    constructor(version: number, command: SOCKS5Command, addressType: SOCKS5AddressType, address: string, addressBytes: Array<number>, port: number, portBytes: Array<number>);
    static fromBuffer(buffer: Buffer): Promise<{
        result: SOCKS5ConnectionRequest;
        status: SOCKS5Status;
    }>;
}
