/// <reference types="node" />
import { SOCKS5Status } from '../../constants/socks5-status';
import { SOCKS5AddressType } from '../../constants/socks5-address-type';
import { SOCKS5ConnectionRequest } from './connection-request';
import { ISOCKS5Response } from '../../interfaces/socks5-response';
export declare class SOCKS5ConnectionResponse implements ISOCKS5Response {
    version: number;
    status: SOCKS5Status;
    addressType: SOCKS5AddressType;
    addressBytes: number[];
    portBytes: number[];
    constructor(version: number, status: SOCKS5Status, addressType: SOCKS5AddressType, addressBytes: number[], portBytes: number[]);
    static fromConnectionRequest(connectionRequest: SOCKS5ConnectionRequest, status: SOCKS5Status): SOCKS5ConnectionResponse;
    toBuffer(): Buffer;
    toBytes(): Array<number>;
}
