"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const forward_1 = require("../proxy-connections/forward");
class ForwardProxyConnectionBuilder {
    constructor() {
        this.hostname = null;
        this.port = null;
        this.socketBuilder = null;
        this.sourceSocket = null;
    }
    build() {
        return new forward_1.ForwardProxyConnection(this.hostname, this.port, this.sourceSocket, this.socketBuilder);
    }
    reset() {
        this.socketBuilder = null;
        this.sourceSocket = null;
        return this;
    }
    setHostname(hostname) {
        this.hostname = hostname;
        return this;
    }
    setPort(port) {
        this.port = port;
        return this;
    }
    setSocketBuilder(socketBuilder) {
        this.socketBuilder = socketBuilder;
        return this;
    }
    setSourceSocket(sourceSocket) {
        this.sourceSocket = sourceSocket;
        return this;
    }
}
exports.ForwardProxyConnectionBuilder = ForwardProxyConnectionBuilder;
//# sourceMappingURL=forward.js.map