/// <reference types="node" />
import * as net from 'net';
import * as tls from 'tls';
import { IProxyConnectionBuilder } from '../interfaces/proxy-connection-builder';
import { IProxyConnection } from '../interfaces/proxy-connection';
import { ISocketBuilder } from '../interfaces/socket-builder';
export declare class SOCKS5ProxyConnectionBuilder implements IProxyConnectionBuilder {
    protected socketBuilder: ISocketBuilder;
    protected sourceSocket: tls.TLSSocket | net.Socket;
    build(): IProxyConnection;
    reset(): IProxyConnectionBuilder;
    setSocketBuilder(socketBuilder: ISocketBuilder): IProxyConnectionBuilder;
    setSourceSocket(sourceSocket: tls.TLSSocket | net.Socket): IProxyConnectionBuilder;
}
