"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const socks5_1 = require("../proxy-connections/socks5");
class SOCKS5ProxyConnectionBuilder {
    constructor() {
        this.socketBuilder = null;
        this.sourceSocket = null;
    }
    build() {
        return new socks5_1.SOCKS5ProxyConnection(this.sourceSocket, this.socketBuilder);
    }
    reset() {
        this.socketBuilder = null;
        this.sourceSocket = null;
        return this;
    }
    setSocketBuilder(socketBuilder) {
        this.socketBuilder = socketBuilder;
        return this;
    }
    setSourceSocket(sourceSocket) {
        this.sourceSocket = sourceSocket;
        return this;
    }
}
exports.SOCKS5ProxyConnectionBuilder = SOCKS5ProxyConnectionBuilder;
//# sourceMappingURL=socks5.js.map