/// <reference types="node" />
import * as net from 'net';
import { IProxyConnection } from '../interfaces/proxy-connection';
import { ISocketBuilder } from '../interfaces/socket-builder';
export declare class ForwardProxyConnection implements IProxyConnection {
    protected hostname: string;
    protected port: number;
    protected sourceSocket: net.Socket;
    protected socketBuilder: ISocketBuilder;
    protected destinationSocket: net.Socket;
    constructor(hostname: string, port: number, sourceSocket: net.Socket, socketBuilder: ISocketBuilder);
    close(): Promise<void>;
    onData(buffer: Buffer): Promise<net.Socket>;
    protected delay(miliseconds: number): Promise<void>;
    protected initialize(): Promise<void>;
}
