/// <reference types="node" />
import * as net from 'net';
import { IDomainEvents } from './interfaces/domain-events';
import { ISocketBuilder } from './interfaces/socket-builder';
import { IProxyConnectionBuilder } from './interfaces/proxy-connection-builder';
export declare class ProxyServer {
    protected hostname: string;
    protected port: number;
    protected proxyConnectionBuilder: IProxyConnectionBuilder;
    protected socketBuilder: ISocketBuilder;
    protected domainEvents: IDomainEvents;
    protected server: net.Server;
    constructor(hostname: string, port: number, proxyConnectionBuilder: IProxyConnectionBuilder, socketBuilder: ISocketBuilder, domainEvents: IDomainEvents);
    listen(server: net.Server): void;
    onConnection(sourceSocket: net.Socket): void;
}
