"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const net = require("net");
class TCPServerBuilder {
    constructor() {
        this.connectionFn = null;
    }
    build() {
        return net.createServer((socket) => this.connectionFn(socket));
    }
    reset() {
        this.connectionFn = null;
        return this;
    }
    setConnectionFn(connectionFn) {
        this.connectionFn = connectionFn;
        return this;
    }
}
exports.TCPServerBuilder = TCPServerBuilder;
//# sourceMappingURL=tcp.js.map