/// <reference types="node" />
import * as tls from 'tls';
import * as net from 'net';
import { IServerBuilder } from '../interfaces/server-builder';
export declare class TLSServerBuilder implements IServerBuilder {
    protected certificate: Buffer;
    protected connectionFn: (socket: tls.TLSSocket | net.Socket) => void;
    protected key: Buffer;
    build(): tls.Server | net.Server;
    reset(): IServerBuilder;
    setCertificateFromPath(filePath: string): TLSServerBuilder;
    setConnectionFn(connectionFn: (socket: tls.TLSSocket | net.Socket) => void): IServerBuilder;
    setKeyFromPath(filePath: string): TLSServerBuilder;
}
