/// <reference types="node" />
import * as tls from 'tls';
import * as net from 'net';
import { ISocketBuilder } from '../interfaces/socket-builder';
export declare class TLSSocketBuilder implements ISocketBuilder {
    protected closeFn: () => void;
    protected hostname: string;
    protected port: number;
    protected sourceSocket: tls.TLSSocket | net.Socket;
    build(): Promise<tls.TLSSocket | net.Socket>;
    reset(): ISocketBuilder;
    setCloseFn(closeFn: () => void): ISocketBuilder;
    setHostname(hostname: string): ISocketBuilder;
    setPort(port: number): ISocketBuilder;
    setSourceSocket(sourceSocket: tls.TLSSocket | net.Socket): ISocketBuilder;
}
