"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const socket_1 = require("../helpers/socket");
class TLSSocketBuilder {
    constructor() {
        this.closeFn = null;
        this.hostname = null;
        this.port = null;
        this.sourceSocket = null;
    }
    build() {
        return socket_1.SocketHelper.createTLSDestinationSocket(this.hostname, this.port, this.sourceSocket, () => this.closeFn());
    }
    reset() {
        this.closeFn = null;
        this.hostname = null;
        this.port = null;
        this.sourceSocket = null;
        return this;
    }
    setCloseFn(closeFn) {
        this.closeFn = closeFn;
        return this;
    }
    setHostname(hostname) {
        this.hostname = hostname;
        return this;
    }
    setPort(port) {
        this.port = port;
        return this;
    }
    setSourceSocket(sourceSocket) {
        this.sourceSocket = sourceSocket;
        return this;
    }
}
exports.TLSSocketBuilder = TLSSocketBuilder;
//# sourceMappingURL=tls.js.map