"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SOCKS5AuthenticationRequest {
    constructor(version, userName, password) {
        this.version = version;
        this.userName = userName;
        this.password = password;
    }
    static fromBuffer(buffer) {
        const result = new SOCKS5AuthenticationRequest(buffer[0], null, null);
        const userNameLength = buffer[1];
        result.userName = buffer.slice(2, 2 + userNameLength).toString();
        const passwordLength = buffer[2 + userNameLength];
        result.password = buffer.slice(2 + userNameLength + 1, 2 + userNameLength + 1 + passwordLength).toString();
        return result;
    }
}
exports.SOCKS5AuthenticationRequest = SOCKS5AuthenticationRequest;
//# sourceMappingURL=socks5-authentication-request.js.map