/// <reference types="node" />
import { SOCKS5ConnectionRequest } from "./socks5-connection-request";
import { SOCKS5AddressType } from "./socks5-address-type";
import { ISOCKS5Response } from "./socks5-response";
import { SOCKS5Status } from "./socks5-status";
export declare class SOCKS5ConnectionResponse implements ISOCKS5Response {
    version: number;
    status: SOCKS5Status;
    addressType: SOCKS5AddressType;
    addressBytes: number[];
    portBytes: number[];
    constructor(version: number, status: SOCKS5Status, addressType: SOCKS5AddressType, addressBytes: number[], portBytes: number[]);
    static fromConnectionRequest(connectionRequest: SOCKS5ConnectionRequest, status: SOCKS5Status): SOCKS5ConnectionResponse;
    toBuffer(): Buffer;
    toBytes(): Array<number>;
}
