"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SOCKS5ConnectionResponse {
    constructor(version, status, addressType, addressBytes, portBytes) {
        this.version = version;
        this.status = status;
        this.addressType = addressType;
        this.addressBytes = addressBytes;
        this.portBytes = portBytes;
    }
    static fromConnectionRequest(connectionRequest, status) {
        return new SOCKS5ConnectionResponse(connectionRequest.version, status, connectionRequest.addressType, connectionRequest.addressBytes, connectionRequest.portBytes);
    }
    toBuffer() {
        return Buffer.from(this.toBytes());
    }
    toBytes() {
        return [this.version, this.status, 0x00, this.addressType].concat(this.addressBytes).concat(this.portBytes);
    }
}
exports.SOCKS5ConnectionResponse = SOCKS5ConnectionResponse;
//# sourceMappingURL=socks5-connection-response.js.map